---
- name: Install aptitude using apt
  apt:
    state: latest
    update_cache: yes
    force_apt_get: yes
    pkg:
      - aptitude

- name: Install required system packages
  apt:
    state: latest
    update_cache: yes
    pkg:
      - make
      - apt-transport-https
      - ca-certificates
      - curl
      - software-properties-common
      - python3-pip
      - virtualenv
      - python3-setuptools

- name: Add Docker GPG apt Key
  apt_key:
    url: https://download.docker.com/linux/ubuntu/gpg
    state: present

- name: Add Docker Repository
  apt_repository:
    repo: deb https://download.docker.com/linux/ubuntu bionic stable
    state: present

- name: Update apt and install docker-ce
  apt:
    update_cache: yes
    state: latest
    pkg:
      - docker-ce

- name: Install Docker Module for Python
  pip:
    name: docker

- name: Adding user vagrant to docker group
  user:
    name: vagrant
    groups: docker
    append: yes
